package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fsa;
import com.brilliance.isc.bo.Ine;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface IneMapper {

    int insert(Ine record);

    int insertSelective(Ine record);

    int updateByPrimaryKeySelective(Ine record);

    int updateByPrimaryKey(Ine record);

    int deleteByPrimaryKey(Ine record);

    int deleteByIds(Collection<Object> collection);

    Ine selectByPrimaryKey(Ine record);

    List<Ine> selectListByFininr(@Param("fininr") String fininr);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ine> dyncRead(Map<String,Object> dyncMap);

}